Ruby: rb_execarg Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
rb_execarg Struct Reference

## Data Fields
union { |
struct { |
VALUE shell_script |
} sh
struct { |
VALUE command_name |
VALUE command_abspath |
VALUE argv_str |
VALUE argv_buf |
} cmd
} | invoke
VALUE | redirect_fds
VALUE | envp_str
VALUE | envp_buf
VALUE | dup2_tmpbuf
unsigned | use_shell: 1
unsigned | pgroup_given: 1
unsigned | umask_given: 1
unsigned | unsetenv_others_given: 1
unsigned | unsetenv_others_do: 1
unsigned | close_others_given: 1
unsigned | close_others_do: 1
unsigned | chdir_given: 1
unsigned | new_pgroup_given: 1
unsigned | new_pgroup_flag: 1
unsigned | uid_given: 1
unsigned | gid_given: 1
unsigned | exception: 1
unsigned | exception_given: 1
struct rb_process_status * | status
struct waitpid_state * | waitpid_state
rb_pid_t | pgroup_pgid
VALUE | rlimit_limits
mode_t | umask_mask
rb_uid_t | uid
rb_gid_t | gid
int | close_others_maxhint
VALUE | fd_dup2
VALUE | fd_close
VALUE | fd_open
VALUE | fd_dup2_child
VALUE | env_modification
VALUE | path_env
VALUE | chdir_dir

## Detailed Description

Definition at line 30 of file process.h.

## Field Documentation

## ◆ argv_buf

VALUE rb_execarg::argv_buf

Definition at line 39 of file process.h.

## ◆ argv_str

VALUE rb_execarg::argv_str

Definition at line 38 of file process.h.

## ◆ chdir_dir

VALUE rb_execarg::chdir_dir

Definition at line 74 of file process.h.

## ◆ chdir_given

unsigned rb_execarg::chdir_given

Definition at line 53 of file process.h.

## ◆ close_others_do

unsigned rb_execarg::close_others_do

Definition at line 52 of file process.h.

## ◆ close_others_given

unsigned rb_execarg::close_others_given

Definition at line 51 of file process.h.

## ◆ close_others_maxhint

int rb_execarg::close_others_maxhint

Definition at line 67 of file process.h.

## ◆ command_abspath

VALUE rb_execarg::command_abspath

Definition at line 37 of file process.h.

## ◆ command_name

VALUE rb_execarg::command_name

Definition at line 36 of file process.h.

## ◆ dup2_tmpbuf

VALUE rb_execarg::dup2_tmpbuf

Definition at line 45 of file process.h.

## ◆ env_modification

VALUE rb_execarg::env_modification

Definition at line 72 of file process.h.

## ◆ envp_buf

VALUE rb_execarg::envp_buf

Definition at line 44 of file process.h.

## ◆ envp_str

VALUE rb_execarg::envp_str

Definition at line 43 of file process.h.

## ◆ exception

unsigned rb_execarg::exception

Definition at line 58 of file process.h.

## ◆ exception_given

unsigned rb_execarg::exception_given

Definition at line 59 of file process.h.

## ◆ fd_close

VALUE rb_execarg::fd_close

Definition at line 69 of file process.h.

## ◆ fd_dup2

VALUE rb_execarg::fd_dup2

Definition at line 68 of file process.h.

## ◆ fd_dup2_child

VALUE rb_execarg::fd_dup2_child

Definition at line 71 of file process.h.

## ◆ fd_open

VALUE rb_execarg::fd_open

Definition at line 70 of file process.h.

## ◆ gid

rb_gid_t rb_execarg::gid

Definition at line 66 of file process.h.

## ◆ gid_given

unsigned rb_execarg::gid_given

Definition at line 57 of file process.h.

## ◆ new_pgroup_flag

unsigned rb_execarg::new_pgroup_flag

Definition at line 55 of file process.h.

## ◆ new_pgroup_given

unsigned rb_execarg::new_pgroup_given

Definition at line 54 of file process.h.

## ◆ path_env

VALUE rb_execarg::path_env

Definition at line 73 of file process.h.

## ◆ pgroup_given

unsigned rb_execarg::pgroup_given

Definition at line 47 of file process.h.

## ◆ pgroup_pgid

rb_pid_t rb_execarg::pgroup_pgid

Definition at line 62 of file process.h.

## ◆ redirect_fds

VALUE rb_execarg::redirect_fds

Definition at line 42 of file process.h.

## ◆ rlimit_limits

VALUE rb_execarg::rlimit_limits

Definition at line 63 of file process.h.

## ◆ shell_script

VALUE rb_execarg::shell_script

Definition at line 33 of file process.h.

## ◆ status

struct rb_process_status* rb_execarg::status

Definition at line 60 of file process.h.

## ◆ uid

rb_uid_t rb_execarg::uid

Definition at line 65 of file process.h.

## ◆ uid_given

unsigned rb_execarg::uid_given

Definition at line 56 of file process.h.

## ◆ umask_given

unsigned rb_execarg::umask_given

Definition at line 48 of file process.h.

## ◆ umask_mask

mode_t rb_execarg::umask_mask

Definition at line 64 of file process.h.

## ◆ unsetenv_others_do

unsigned rb_execarg::unsetenv_others_do

Definition at line 50 of file process.h.

## ◆ unsetenv_others_given

unsigned rb_execarg::unsetenv_others_given

Definition at line 49 of file process.h.

## ◆ use_shell

unsigned rb_execarg::use_shell

Definition at line 46 of file process.h.

## ◆ waitpid_state

struct waitpid_state* rb_execarg::waitpid_state

Definition at line 61 of file process.h.

The documentation for this struct was generated from the following file:

- internal/process.h